<?php

class GalleriesController extends EvGalleryAppController {


/**
 * Index
 *
 * Returns the requested image gallery
 */
	public function index() {

		// if set then find and assign page data
		$pageId = Configure::read('EvGallery.pageId');

		if (isset($pageId) && !empty($pageId)) {

			ClassRegistry::init('Page');
			$Page = new Page();

			$pageData = $Page->readForView($pageId);
			$this->set('page', $pageData);

			// assign page meta data
			$this->Meta->set($pageData);
		}

		$this->view();

		$this->view = 'EvGallery.view';
	}


/**
 * View
 *
 * Returns the requested image gallery
 */
	public function view($id = null) {

		// find and assign listing of available galleries
		$this->set('galleryListing', $this->Gallery->generateTreeList());

		// find and assign listing of gallery
		$params = array(
			'conditions' => array(
				'Gallery.is_active' => true,
			),
			'contain' => array(
				'Image'
			),
		);

		// determine whether we are showing a specific gallery
		if ($id) {
			$params['conditions']['Gallery.id'] = $id;
		} else {
			$params['order']['Gallery.lft'] = 'asc';
		}

		$data = $this->Gallery->find('first', $params);

		$this->set('data', $data);

		// assign page meta data
		$this->Meta->set($data);

	}

}